org.apache.mina.core.filterchain

## Class IoFilterLifeCycleException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.mina.core.filterchain.IoFilterLifeCycleException

- All Implemented Interfaces:
    Serializable

      public class IoFilterLifeCycleException
      extends RuntimeException

  A `RuntimeException` which is thrown when `IoFilter.init()` or `IoFilter.onPostAdd(IoFilterChain, String, org.apache.mina.core.filterchain.IoFilter.NextFilter)` failed.
  Author:
    Apache MINA Project
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IoFilterLifeCycleException()`
    `IoFilterLifeCycleException(String message)`
    `IoFilterLifeCycleException(String message, Throwable cause)`
    `IoFilterLifeCycleException(Throwable cause)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IoFilterLifeCycleException

          public IoFilterLifeCycleException()

    - #### IoFilterLifeCycleException

          public IoFilterLifeCycleException(String message)

    - #### IoFilterLifeCycleException

          public IoFilterLifeCycleException(String message,
                                    Throwable cause)

    - #### IoFilterLifeCycleException

          public IoFilterLifeCycleException(Throwable cause)

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.